Page MenuHomePhabricator

Basic tracking for beta features
Closed, ResolvedPublic2 Story Points

Description

Please create a dashboard for basic tracking of beta features:

  • Graph: For all beta features, track how many users in total have enabled that feature
    • Count individual users, and wiki-users
  • Description: Add a description to the top of the dashboard that explains what the graph shows.

Details

Related Gerrit Patches:
analytics/wmde/scripts : productionCount global users with beta features enabled
analytics/wmde/scripts : masterCount global users with beta features enabled
analytics/wmde/scripts : masterAdd script counting global betafeature usage
analytics/wmde/scripts : productionAdd script counting global betafeature usage

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 13 2016, 11:13 AM
Addshore moved this task from Unsorted 💣 to Next on the User-Addshore board.
Addshore claimed this task.Jul 14 2016, 8:11 AM
Addshore moved this task from Next to Back Burner 🏛️ on the User-Addshore board.

Change 298926 had a related patch set uploaded (by Addshore):
Add script counting global betafeature usage

https://gerrit.wikimedia.org/r/298926

Change 298927 had a related patch set uploaded (by Addshore):
Add script counting global betafeature usage

https://gerrit.wikimedia.org/r/298927

Change 298927 merged by jenkins-bot:
Add script counting global betafeature usage

https://gerrit.wikimedia.org/r/298927

Change 298926 merged by jenkins-bot:
Add script counting global betafeature usage

https://gerrit.wikimedia.org/r/298926

Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Jul 14 2016, 11:10 AM
Lea_WMDE updated the task description. (Show Details)Jul 14 2016, 3:05 PM
Lea_WMDE set the point value for this task to 2.
Lea_WMDE moved this task from Proposed to Backlog on the TCB-Team-Sprint-2016-07-14 board.

Change 299125 had a related patch set uploaded (by Addshore):
Count global users with beta features enabled

https://gerrit.wikimedia.org/r/299125

Change 299516 had a related patch set uploaded (by Addshore):
Count global users with beta features enabled

https://gerrit.wikimedia.org/r/299516

Change 299125 merged by jenkins-bot:
Count global users with beta features enabled

https://gerrit.wikimedia.org/r/299125

Change 299516 merged by jenkins-bot:
Count global users with beta features enabled

https://gerrit.wikimedia.org/r/299516

Addshore moved this task from Back Burner 🏛️ to Closing ✔️ on the User-Addshore board.
Addshore closed this task as Resolved.Jul 25 2016, 5:45 PM

Everything speced in this task can now be found at https://grafana.wikimedia.org/dashboard/db/betafeatures
The version of the script creating the metrics at the end of this task is https://github.com/wikimedia/analytics-wmde-scripts/blob/380a6c6d9bea955bd9368a035c92120c0eba3603/src/betafeatures/counts.php

Addshore triaged this task as Medium priority.Jul 26 2016, 9:11 AM